import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listVisit(query) {
  return request({
    url: '/md/visit/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getVisit(brandVisitId) {
  return request({
    url: '/md/visit/' + brandVisitId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addVisit(data) {
  return request({
    url: '/md/visit',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateVisit(data) {
  return request({
    url: '/md/visit',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delVisit(brandVisitId) {
  return request({
    url: '/md/visit/' + brandVisitId,
    method: 'delete'
  })
}

// 查询品牌列表
export function listBrand(query) {
    return request({
      url: '/md/visit/listBrand',
      method: 'get',
      params: query
    })
  }

  